
QGIS Application - Feature request #4532

Lookup spatial type of TopoGeometry columns from metadata table

2011-11-14 10:40 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 14449

Description

As done for GEOMETRY and GEOGRAPHY type, we should also look at metadata tables for TOPOGEOMETRY types.

Doing so would make getting the list of available tables much faster.

Associated revisions

Revision d45877b2 - 2012-10-18 08:31 PM - Sandro Santilli 

Lookup TopoGeometry columns metadata in topology.layer

Closes #4532

History

#1 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2012-10-13 04:38 PM - Sandro Santilli

- Assignee set to Sandro Santilli

- Target version changed from Future Release - Nice to have to Version 2.0.0

I'm working on this, as soon as the patch for #6510 is pulled I'm ready to send a request for a fix to this.

#3 - 2012-10-14 03:03 AM - Sandro Santilli

- % Done changed from 0 to 90

- Pull Request or Patch supplied changed from No to Yes

Will be closed by https://github.com/qgis/Quantum-GIS/pull/292

#4 - 2012-10-17 02:08 PM - Sandro Santilli

- Assignee changed from Sandro Santilli to Jürgen Fischer

Assuming jef is the one that will pull...

#5 - 2012-10-18 12:01 PM - Sandro Santilli

- Status changed from Open to Closed
https://github.com/qgis/Quantum-GIS/pull/292


Fixed in changeset commit:"d45877b2de8272ae4d12b73417177781bfc58b59".
